mia-3dpropose-boundingbox
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dpropose-boundingbox

#### Sysnopis:

`mia-3dpropose-boundingbox` {-i `io`} [ `options` ...]

#### Description:

This program evaluates a box that contains all the pixels of a given mask image. If the input image is not a binary image, a pre-filter must be applied that converts the imput image into a mask.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-f, --filter=

  Filter to be applied to the image before the bounding box is evaluated. Must return a bit-valued image.. For supported plug-ins see Plugin type: 3dimage/filter

-p, --padding=0; uint in [0, inf)

  Padding of boundaries.

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate a bounding box with boundary padding of 5 of a mask resulting from a binarization with a minimum value 10.10 and a boundary padding of 5 from image image.v .

    mia-3dpropose-boundingbox -i image.v -f binarize:min=10 -p 5

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dmaskseeded | Home | mia-3dsegment-ahmed